[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.FileName

File name for log file

## Declaration

Source position: eventlog.pp line 94

`published property TEventLog.FileName: String read FFileName write SetFileName;`

## Description

FileName is the name of the log file used to log messages if no system logger is available or the LogType is ltFile. If none is specified, then the name of the application binary is used, with the extension replaced by .log. The file is then located in the /tmp directory on unix-like systems, or in the application directory for Dos/Windows like systems.

## See also

LogType |  | Log type

The latest version of this document can be found at lazarus-ccr.sourceforge.net.